### Custom Keyboard Maestro Plug-in

#### NAME
- Encode URI (minimum required for URI compliance)

#### VERSION
- 0.1

#### SYNOPSIS
	
- Applies the standard JavaScript function [encodeURI
- ()](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/encodeURI) to text or the clipboard.
- Does the **minimum** to make a URI compliant with RFC standards , and protects protocol prefixes like `http://` from being encoded.
- In other words it percent-encodes a **smaller** subset of characters than [Encode URI Component](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/encodeURIComonent)


#### REQUIREMENTS
- Yosemite
	- The underlying script is written in Javascript for Applications

#### INSTALLATION
- Drag the .zip file onto the Keyboard Maestro icon in the OS X toolbar.
- (if updating a previous version of the action, first manually remove the previous copy from the custom actions folder)
	- `~/Library/Application Support/Keyboard Maestro/Keyboard Maestro Actions`
		
#### CONTACT
- Rob Trew - Twitter @ComplexPoint